org.eclipse.jetty.client

## Class Address

- java.lang.Object
- - org.eclipse.jetty.client.Address

-     public class Address
      extends Object

  Version:
    $Revision: 4135 $ $Date: 2008-12-02 11:57:07 +0100 (Tue, 02 Dec 2008) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address(String host, int port)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static Address` | `from(String hostAndPort)`
    `String` | `getHost()`
    `int` | `getPort()`
    `int` | `hashCode()`
    `InetSocketAddress` | `toSocketAddress()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address(String host,
                 int port)

  - ### Method Detail

    - #### from

          public static Address from(String hostAndPort)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getHost

          public String getHost()

    - #### getPort

          public int getPort()

    - #### toSocketAddress

          public InetSocketAddress toSocketAddress()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.